package net.roseindia;

public class StringBuilderExample {
	public static void main(String[] args) {
		StringBuilder stringBuilder = new StringBuilder("Java");

		/* append() */
		stringBuilder.append(" Pro");
		System.out.println(stringBuilder);

		/* appendCodePoint() */
		stringBuilder.appendCodePoint(5);
		System.out.println(stringBuilder);

		/* capacity() */
		int capacity = stringBuilder.capacity();
		System.out.println(capacity);

		/* charAt() */
		char c = stringBuilder.charAt(2);
		System.out.println(c);

		/* codePointAt() */
		int cp = stringBuilder.codePointAt(5);
		System.out.println(cp);

		/* codePointBefore() */
		int cpBefore = stringBuilder.codePointBefore(5);
		System.out.println(cpBefore);

		/* codePointCount() */
		int cpcount = stringBuilder.codePointCount(0, 2);
		System.out.println(cpcount);

		/* delete() */
		stringBuilder.delete(4, 8);
		System.out.println(stringBuilder);

		/* deleteCharAt() */
		stringBuilder.deleteCharAt(4);
		System.out.println(stringBuilder);

		/* indexOf() */
		int index = stringBuilder.indexOf("a");
		System.out.println(index);

		/* indexOf() */
		stringBuilder.insert(4, " Programming");
		System.out.println(stringBuilder);

		/* length() */
		int length = stringBuilder.length();
		System.out.println(length);

		/* replace() */
		stringBuilder.replace(4, 16, " Program");
		System.out.println(stringBuilder);

		/* substring() */
		String newString = stringBuilder.substring(5);
		System.out.println(newString);

		/* subSequence() */
		CharSequence charSequence = stringBuilder.subSequence(0, 4);
		System.out.println(charSequence);

		/* reverse() */
		stringBuilder.reverse();
		System.out.println(stringBuilder);
	}
}